This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435656 - closing bluemarble causes desktop session to end
closing bluemarble causes desktop session to end
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: extragear-plasma (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: KDE4Live
  Show dependency treegraph
 
Reported: 2008-03-02 21:51 EST by Jens Petersen
Modified: 2008-04-07 15:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.1-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 13:08:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 152845 None None None Never

  None (edit)
Description Jens Petersen 2008-03-02 21:51:41 EST
Description of problem:
I don't have 3d on my test machine, but when I tried the 3D Earth Model desktop
applet it and then closed it, the KDE desktop session died unexpectedly.

Version-Release number of selected component (if applicable):
extragear-plasma-4.0.1-1.fc9

How reproducible:
every time

Steps to Reproduce:
1. click Add Widgets in top-right corner
2. add 3D Earth Model (bluemarble)
3. close the desktop applet
  
Actual results:
desktop crashes and dies

Expected results:
Just widget to close

Additional info:
Nice to fix this or alternatively not install extragear-plasma by default?
Comment 1 Sebastian Vahl 2008-03-03 18:40:13 EST
Confirmed.

I'm not sure which of these upstream bugs fits better:
http://bugs.kde.org/show_bug.cgi?id=152845
http://bugs.kde.org/show_bug.cgi?id=151665
Comment 2 Kevin Kofler 2008-03-04 09:07:54 EST
KDE#151665 is a crash on startup of the applet and was fixed back in November, 
so it can't be that.

KDE#152845 sounds more like it. I wouldn't call this a blocker, if you don't 
have OpenGL shaders, then applets using them aren't expected to work. Now of 
course crashing isn't nice...
Comment 3 Kevin Kofler 2008-03-04 09:36:48 EST
In any case, as far as I can tell, that bug isn't fixed upstream yet (not even 
in the trunk), and it isn't clear what component is at fault exactly 
(BlueMarble, libplasma or Qt).
Comment 4 Kevin Kofler 2008-03-04 12:42:04 EST
As discussed in the KDE SIG meeting, given:
* the usefulness of this applet (almost nil, it's a tech demo),
* how this is going to happen to a lot of people (as this requires not only 
hardware OpenGL, but also shaders, to work),
* how the normal reaction to a non-working applet is to close it,
* the extent of the damage as this is done and
* that upstream is now targeting KDE 4.1 only with extragear-plasma,
I will simply disable the bluemarble applet in our extragear-plasma package, at 
least until we have a working fix for this crash.
Comment 5 Kevin Kofler 2008-03-04 13:08:30 EST
Bluemarble is gone in extragear-plasma-4.0.1-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.